# Manualpages

Das FreeBSD Porter-Handbuch
Zurück | Kapitel 5. Die Konfiguration des Makefile | Weiter

# 5.9. Manualpages

Die Variablen `MAN[1-9LN]` werden automatisch jede Manualpage zur `pkg-plist` hinzufügen (dies bedeutet, dass Sie Manualpages nicht in der `pkg-plist` auflisten dürfen, lesen Sie bitte Erstellung der PLIST für weitere Details). Sie veranlassen zudem den Installationsabschnitt dazu, die Manualpages zu Komprimieren oder zu Dekomprimieren abhängig vom gesetzten Wert der Variable `NO_MANCOMPRESS` in `/etc/make.conf`.

Falls Ihr Port versucht verschiedene Namen für Manualpages unter Zuhilfenahme von Symlinks oder Hardlinks zu installieren, müssen Sie die Variable `MLINKS` nutzen, um diese zu identifizieren. Der von Ihrem Port installierte Link wird von `bsd.port.mk` gelöscht und wieder eingefügt, um sicherzustellen, dass er auf die korrekte Datei zeigt. Jede Manualpage, welche in `MLINKS` aufgeführt ist, darf nicht in der `pkg-plist` aufgenommen werden.

Falls die Manualpages während der Installation komprimiert werden sollen, müssen Sie die Variable `MANCOMPRESSED` setzen. Diese Variable kann drei Werte annehmen, `yes`, `no` und `maybe`. `yes` bedeutet, dass Manualpages bereits komprimiert installiert sind, bei `no` sind sie es nicht und `maybe` bedeutet, dass die Software bereits den Wert von `NO_MANCOMPRESS` beachtet, damit `bsd.port.mk` nichts Besonderes auszuführen hat.

`MANCOMPRESSED` wird automatisch auf `yes` gesetzt, wenn `USE_IMAKE` vorgegeben ist und gleichzeitig `NO_INSTALL_MANPAGES` nicht. Im umgekehrten Falle ist `MANCOMPRESSED` auf `no` gesetzt. Sie müssen es nicht explizit angeben, außer die Standardvorgabe ist für Ihren Port nicht passend.

Wenn Ihr Port den man tree irgendwo anders als in der Variable `MANPREFIX` verankert, können Sie ihn mit `MANPREFIX` bestimmen. Sollten zudem Manualpages nur in bestimmten Abschnitten an einem nicht-standardkonformen Platz liegen, wie z.B. bestimmte `Perl`-Modul-Ports, dann können Sie mittels der Variable `MAN`sect`PREFIX` (wobei `sect` ein Wert aus `1-9`, `L` oder `N` ist) individuelle Pfade zu den Manualpages festlegen.

Wenn Ihre Manualpages in sprachspezifische Unterverzeichnisse installiert werden, dann bestimmen Sie bitte den Namen der Sprache mit der Variable `MANLANG`. Der Wert dieser Variable ist mit `""` vorgegeben (das bedeutet nur Englisch).

Hier ist ein Beispiel, welches alles zusammenfasst.

    MAN1=          foo.1
    MAN3=          bar.3
    MAN4=          baz.4
    MLINKS=        foo.1 alt-name.8
    MANLANG=       "" ja
    MAN3PREFIX=    ${PREFIX}/share/foobar
    MANCOMPRESSED= yes

Dies zeigt an, dass sechs Dateien von diesem Port installiert werden;

    ${MANPREFIX}/man/man1/foo.1.gz
    ${MANPREFIX}/man/ja/man1/foo.1.gz
    ${PREFIX}/share/foobar/man/man3/bar.3.gz
    ${PREFIX}/share/foobar/man/ja/man3/bar.3.gz
    ${MANPREFIX}/man/man4/baz.4.gz
    ${MANPREFIX}/man/ja/man4/baz.4.gz

`${MANPREFIX}/man/man8/alt-name.8.gz` kann zusätzlich von Ihrem Port installiert werden, oder auch nicht. Unabhängig davon wird ein Symlink erstellt, welcher die Manualpages foo(1) und alt-name(8) einbindet.

Falls nur manche Manualpages übersetzt sind, können Sie einige dynamisch vom `MANLANG`-Inhalt erzeugte Variablen nutzen:

    MANLANG=       "" de ja
    MAN1=          foo.1
    MAN1_EN=       bar.1
    MAN3_DE=       baz.3

Dies führt zu folgender Liste von Dateien:

    ${MANPREFIX}/man/man1/foo.1.gz
    ${MANPREFIX}/man/de/man1/foo.1.gz
    ${MANPREFIX}/man/ja/man1/foo.1.gz
    ${MANPREFIX}/man/man1/bar.1.gz
    ${MANPREFIX}/man/de/man3/baz.3.gz

Zurück | Zum Anfang | Weiter
`MASTERDIR` | Nach oben | Info-Dateien

Fragen zum FreeBSD Ports-System richten Sie bitte an <ports@FreeBSD.org>, Fragen zu diesem Dokument hingegen an <de-bsd-translators@de.FreeBSD.org>.